Subject: Offline Message from Jonathan Bamert: Hi I have a swagtron electric scooter a
From: Zendesk Chat <[email-masked]>
To: [email-masked], [email-masked]
Date: Tue, 07 Jun 2022 23:02:25 -0000

From: Jonathan Bamert <[email-masked]>
Phone: 2154781761
Location: Philadelphia, United States
URL: https://swagtron.com/product-category/electric-scooter/
Department: SwagTron

Hi I have a swagtron electric scooter and I bought it around late December and now whenever I accelerate, the scooter kind of jerks, like I hold down the trigger it starts then stops immediately and if I hold down the trigger it’ll just start and stop, is there anything I can do to fix it?

----
Zopim
https://www.zopim.com